@import '../../theme/palette';
@import '../../theme/typography';
@import '../../theme/sizing';

.feature-item-container {
  display: grid;
  grid-template-areas:
            "logo"
            "title"
            "desc";

  @media #{$size_query-l} {
    grid-template-areas:
            "logo title"
            "logo desc";
    grid-column-gap: 20px;
  }
}

.feature-item-logo {
  grid-area: logo;
  height: 50px;
  width: auto;
  margin: 0 auto;
  fill: $color_black;
}

.feature-item-title {
  grid-area: title;
  text-align: center;
  margin: 0 0 5px;
  @include subheader($color_black);
  font-weight: bold;

  @media #{$size_query-l} {
    text-align: left;
  }
}

.feature-item-description {
  grid-area: desc;
  text-align: center;
  margin: 0;
  @include text($color_light-gray);

  @media #{$size_query-l} {
    text-align: left;
  }
}